<?
define('PROTECTOR', 1);

$headmod = 'home';//фикс. места

$textl='Ратуша';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$log'");
////////////////////////////
$lider=mysql_num_rows($req);

switch($_GET[mod]){

default:
if($lider==0 and empty($udata[clan])){
echo"<a href=\"home.php?mod=new\">Создать клан</a><br/>";
}elseif($lider==0 and !empty($udata[clan])){
echo"<a href=\"clanroom.php?\">Комната клана</a><br/>";
}elseif($udata[clan_prava] == 5){
echo"<a href=\"clanroom.php?go=dels\"><b>Удалить клан</b></a><br/>";
echo"<a href=\"clanroom.php?go=peredat\"><b>Передать клан</b></a><br/>";
echo"<a href=\"clanroom.php?go=desk\">Изменить описание</a>
<br/><a href=\"clanroom.php?go=site\">Вывесить сайт клана</a>";
if($clan[set_m]==0){
echo"<br/><a href=\"clanroom.php?go=set_m\">Выкл: Взять монет</a><br/>";
}else{
echo"<br/><a href=\"clanroom.php?go=set_m\">Вкл: Взять монет</a><br/>";
}

echo"<a href=\"home.php?mod=logo\">Эмблема клана</a><br/>";
echo"<a href=\"home.php?mod=clanlist\">Список клана</a><br/>";
}
if($udata[clan_prava] >=1){ echo"<a href=home.php?mod=toclan>Взять в клан</a><br/>";}
if(!empty($udata[clan])){ 
echo"<a href=\"home.php?mod=citys\">Города клана</a><br/>";}
echo"<a href=\"home.php?mod=list\">Список кланов</a>";
break;
case 'list':
$req = mysql_query("SELECT * FROM `clan`ORDER BY `exp`DESC");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($clan = mysql_fetch_array($req))
{
echo"<a href=\"clan.php?id=$clan[id]\">$clan[name]</a><br/>";
}
}else{
echo"<b>Нет кланов</b><br/>";
}
echo"<a href=\"home.php?\">Назад</a>";
break;

case 'new':
if(empty($_POST[name])){
echo'<b>Требования:</b><br/>';
echo'Уровень: 1<br/>
Монет: 5000
Алмазов: 20';

echo "<form action=\"home.php?mod=new\" method=\"post\">";
echo"Название клана:<br/>";
echo"<input class='input' type=\"text\" size=\"10\" name=\"name\" maxlength=\"15\"/><br/>";
echo"Описание клана:<br/>";
echo"<input class='input' type=\"text\" size=\"10\" name=\"desk\" maxlength=\"100\"/><br/>";
echo '<input class="button" type="submit" value="Создать" /></form>';
}else{
$_POST[name] = htmlspecialchars($_POST[name]);

if($lider==1 or !empty($udata[clan])){
echo'Вы уже находитесь в клане!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT `name` FROM `clan` WHERE `name` = '$_POST[name]' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'Данное имя занято!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$avto=mysql_num_rows($req);
if($udata[money]<5000 || $udata[lvl]<1 || $udata[almaz]<20){
echo'Требования не выполнены!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}


mysql_query("INSERT INTO `clan` SET `lider` = '$log',`name` = '$_POST[name]', `desk` = '$_POST[desk]', `money` = '0'");
$udata[money]=$udata[money]-5000;
$udata[almaz]=$udata[almaz]-20;
mysql_query("UPDATE `users` SET `money` = '$udata[money]',`almaz` = '$udata[almaz]',`clan`='$log', `clan_prava` = '5' WHERE `usr` = '$log'");
echo"Клан <b>$_POST[name]</b> успешно создан!<br/>";
}
echo"<a href=\"home.php?\">Назад</a>";
break;

case'logo':
if($udata[clan_prava] < 5 ){
echo'Вы не имеете прав для данного действия!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
if(empty($_GET[name])){
$dira = opendir ("pic/clan");
while ($filea = readdir ($dira)) 
{if (( $filea != ".") && ($filea != ".."))
{$aa[]=$filea;}}
closedir ($dira);
$totala = count($aa);

for ($ia = 0; $ia < $totala; $ia++){

$data_namea[]=$aa[$ia];
}

foreach($data_namea as $ka=>$va)
{
$dat_screena[]="<img src=\"pic/clan/$data_namea[$ka]\" alt=\"Эмблема\"/> - <a href=\"home.php?name=$data_namea[$ka]&amp;mod=logo\">выбрать</a><br/>";

}


$totala = count($dat_screena);



if (empty($_GET['logs'])) $logs = 0;
else $logs = $_GET['logs'];
if ($totala < $logs + 10){ $end = $totala; }
else {$end = $logs + 10; }
for ($ia = $logs; $ia < $end; $ia++){

echo"$dat_screena[$ia]";

}


if ($logs != 0) {echo '<a href="home.php?logs='.($logs - 10).'&amp;mod=logo">&#x41D;&#x430;&#x437;&#x430;&#x434;</a> ';}
if ($totala > $logs + 10) {echo ' <a href="home.php?logs='.($logs + 10).'&amp;mod=logo">&#x414;&#x430;&#x43B;&#x435;&#x435;</a>';}

echo"<br/>Всего: $totala эмблем<br/>";
}else{
$name = htmlspecialchars(stripslashes(addslashes($_GET[name])));

if(!@file("pic/clan/$name")){echo"Такой эмблемы не существует."; include($path.'files/down.php'); exit;}

mysql_query("UPDATE `clan` SET `emblema` = '$name' WHERE `lider` = '$log'");

echo"Эмблема выбрана.<br/>";
}
echo"<a href=\"home.php?\">Назад</a>";
break;

case 'toclan':
if($udata[clan_prava] < 1){
echo'Вы не имеете прав для данного действия!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
if(empty($_POST[name]) or empty($_POST[text])){
echo "<form action=\"home.php?mod=toclan\" method=\"post\">";
echo"Игрок:<br/>";
echo"<input class='input' type=\"text\" size=\"10\" name=\"name\" maxlength=\"10\"/><br/>";
echo"Текст приглашения:<br/>";
echo"<input class='input' type=\"text\" size=\"10\" name=\"text\" maxlength=\"100\"/><br/>";
echo '<input class="button" type="submit" value="Отослать" /></form>';
}else{
$name=htmlspecialchars($_POST[name]);
$text=htmlspecialchars($_POST[text]);

$req = mysql_query("SELECT clan,storona FROM `users` WHERE `usr` = '$name'");
////////////////////////////
$avto=mysql_num_rows($req);
$inv = mysql_fetch_array($req);
if($avto=="0"){
echo'Нет такого игрока!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
if($name==$log){
echo'Себе отправлять нельзя!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
//
if($inv[storona] != $udata[storona]){ 
echo'Игрок противоположной стороны<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
//
if($inv[clan]==$log){
echo'Этот игрок и так в вашем клане!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$req1 = mysql_query("SELECT clan FROM `users` WHERE `clan` = '$udata[clan]'");
$avto1=mysql_num_rows($req1);
if($avto1>=20){
echo'В клане может быть только 20 человек<br/>';
echo "<br><a href=\"home.php?\"> Вернуться</a><br>";
include($path.'files/down.php');
exit;
}
if(!empty($inv[clan])){
echo'Этот игрок в другом клане!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}

mysql_query("INSERT INTO `invite` SET `clan` = '$udata[clan]',`usr` = '$name',`text` = '$text'");
echo"Приглашение для игрока $name отослано!<br/>";
}
echo"<a href=\"home.php?\">Назад</a>";
break;
case 'clanlist':
if($udata[clan_prava] < 5){
echo'Вы не лидер клана!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]'");
////////////////////////////
$cl = mysql_fetch_array($req);
echo"<b>$cl[name]</b>:<br/>";
echo "<b>1. <a href=\"search.php?nick=$cl[lider]&amp;go=go\">$cl[lider]</a> [Лидер]</b><br/>";
$req = mysql_query("SELECT clan,usr,clan_prava FROM `users` where `clan`='$udata[clan]' and `usr`!='$udata[clan]' ORDER BY lvl DESC");
////////////////////////////
$avto=mysql_num_rows($req);
$i=2;
if($avto>=1){
While($clan = mysql_fetch_array($req))
{
echo"$i. <a href='search.php?nick=$clan[usr]&amp;go=go'>$clan[usr]</a> [<a href='home.php?mod=outclan&amp;usr=".$clan[usr]."'>исключить</a>,";
if($clan[clan_prava] == 0){echo' <a href="home.php?mod=voevoda&amp;usr='.$clan[usr].'">сделать воеводой</a>';}
if($clan[clan_prava] == 1){echo' <a href="home.php?mod=boec&amp;usr='.$clan[usr].'">сделать рядовым</a>';}
echo"]<br/>";
$i++;
}
echo"<br/><b>Всего соклановцев: $avto</b><br/>";
}else{
echo"<b>Нет соклановцев</b><br/>";
}
echo"<a href=\"home.php?\">Назад</a>";
break;
case 'outclan':
if(empty($_GET[usr])){
echo'Не выбран игрок!<br/>';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_GET[usr]' LIMIT 1");
// //////////////////////////
$avto = mysql_num_rows($req);

if ($avto == 1) {
    $claner = mysql_fetch_array($req);
    
    mysql_query("UPDATE `users` SET `clan` = '', cexp = '', clan_prava = '' WHERE `usr` = '$_GET[usr]'");
$time = date("H:i d.m.y");
$text = "$log исключил вас из клана!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Ратуша', `user_to` = '$_GET[usr]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");

echo"$_GET[usr] исключён из клана!<br/>";
    }else{
    echo'Нет такого игрока в вашем клане!';
    include($path.'files/down.php');
    exit;
    }
    echo"<a href=\"home.php?\">Назад</a>";
break;

case 'voevoda':
if(empty($_GET[usr])){
echo'Не выбран игрок!<br/>';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_GET[usr]' LIMIT 1");
// //////////////////////////
$avto = mysql_num_rows($req);

if ($avto == 1) {
    $claner = mysql_fetch_array($req);
    
    mysql_query("UPDATE `users` SET `clan_prava` = '1' WHERE `usr` = '$_GET[usr]'");
$time = date("H:i d.m.y");
$text = "$log Вас повысили в клане до воеводы!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Ратуша', `user_to` = '$_GET[usr]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");

echo"$_GET[usr] повышен до воеводы<br/>";
    }else{
    echo'Нет такого игрока в вашем клане!';
    include($path.'files/down.php');
    exit;
    }
    echo"<a href=\"home.php?\">Назад</a>";
break;

case 'boec':
if(empty($_GET[usr])){
echo'Не выбран игрок!<br/>';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_GET[usr]' LIMIT 1");
// //////////////////////////
$avto = mysql_num_rows($req);

if ($avto == 1) {
    $claner = mysql_fetch_array($req);
    
    mysql_query("UPDATE `users` SET `clan_prava` = '0' WHERE `usr` = '$_GET[usr]'");
$time = date("H:i d.m.y");
$text = "$log Вас понизили в клане до бойца!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Ратуша', `user_to` = '$_GET[usr]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");

echo"$_GET[usr] понижен до бойца<br/>";
    }else{
    echo'Нет такого игрока в вашем клане!';
    include($path.'files/down.php');
    exit;
    }
    echo"<a href=\"home.php?\">Назад</a>";
break;


case 'citys':

$req = mysql_query("SELECT * FROM `zamok` WHERE clan='$udata[clan]'");
$avto=mysql_num_rows($req);
if($avto>=1){
While($c = mysql_fetch_array($req))
{
echo"<b>$c[name]</b> [Прочность ворот: $c[vorota] - <a href=\"home.php?mod=repair&amp;id=$c[id]\">увеличить</a>]<br/>";
}
}else{
echo"<b>Нет городов</b><br/>";
}
echo"<a href=\"home.php?\">Назад</a>";
break;
case 'repair':
$req = mysql_query("SELECT * FROM `zamok` WHERE clan='$udata[clan]' and `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Нет таких ворот!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$zamok = mysql_fetch_array($req);
if(empty($_POST[kol])){
echo'Прочность сейчас: '.$zamok[vorota].'<br/>';
echo'За 1 ед. прочности 2 монеты!<br/>';
echo "<form action=\"home.php?mod=repair&amp;id=$_GET[id]\" method=\"post\">";
echo '<b>Количество едениц:(мин.2)</b><br/>';
echo '<input name="kol"/><br/>';
echo '<input type="submit" value="Увеличить"/></form>';
}else{
if($_POST[kol]<2){
echo"Минимальное количество 2!";
include($path.'files/down.php');exit;
}
$cena=round(2*$_POST[kol]);
if($cena>$udata[money]){
echo'Не хватает монет!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
$udata[money]=$udata[money]-$cena;
$zamok[vorota]=$zamok[vorota]+$_POST[kol];
        mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
        mysql_query("UPDATE `zamok` SET `vorota` = '$zamok[vorota]' WHERE clan='$udata[clan]' and `id`='$_GET[id]'");
        
        echo"Прочность ворот увеличена на $_POST[kol]!<br/>";
}
echo"<a href=\"home.php?\">Назад</a>";
break;
}
include($path.'files/down.php');
?>